org.h2.command.ddl

## Class CreateLinkedTable

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.ddl.DefineCommand
    - - org.h2.command.ddl.SchemaCommand
      - - org.h2.command.ddl.CreateLinkedTable

    public class CreateLinkedTable
    extends SchemaCommand

This class represents the statement CREATE LINKED TABLE

### Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
Constructor and Description
`CreateLinkedTable(SessionLocal session, Schema schema)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setAutoCommit(boolean mode)` Specify if the autocommit mode is activated or not
`void` `setComment(java.lang.String comment)`
`void` `setDriver(java.lang.String driver)`
`void` `setEmitUpdates(boolean emitUpdates)`
`void` `setFetchSize(int fetchSize)` Specify the number of rows fetched by the linked table command
`void` `setForce(boolean force)`
`void` `setGlobalTemporary(boolean globalTemp)`
`void` `setIfNotExists(boolean ifNotExists)`
`void` `setOriginalSchema(java.lang.String originalSchema)`
`void` `setOriginalTable(java.lang.String originalTable)`
`void` `setPassword(java.lang.String password)`
`void` `setReadOnly(boolean readOnly)`
`void` `setTableName(java.lang.String tableName)`
`void` `setTemporary(boolean temp)`
`void` `setUrl(java.lang.String url)`
`void` `setUser(java.lang.String user)`
`long` `update()` Execute the statement.

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateLinkedTable

    public CreateLinkedTable(SessionLocal session,
                             Schema schema)

### Method Detail

#### setTableName

    public void setTableName(java.lang.String tableName)

#### setDriver

    public void setDriver(java.lang.String driver)

#### setOriginalTable

    public void setOriginalTable(java.lang.String originalTable)

#### setPassword

    public void setPassword(java.lang.String password)

#### setUrl

    public void setUrl(java.lang.String url)

#### setUser

    public void setUser(java.lang.String user)

#### setIfNotExists

    public void setIfNotExists(boolean ifNotExists)

#### setFetchSize

    public void setFetchSize(int fetchSize)

Specify the number of rows fetched by the linked table command

Parameters:
  `fetchSize` - to set

#### setAutoCommit

    public void setAutoCommit(boolean mode)

Specify if the autocommit mode is activated or not

Parameters:
  `mode` - to set

#### update

    public long update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### setEmitUpdates

    public void setEmitUpdates(boolean emitUpdates)

#### setComment

    public void setComment(java.lang.String comment)

#### setForce

    public void setForce(boolean force)

#### setTemporary

    public void setTemporary(boolean temp)

#### setGlobalTemporary

    public void setGlobalTemporary(boolean globalTemp)

#### setReadOnly

    public void setReadOnly(boolean readOnly)

#### setOriginalSchema

    public void setOriginalSchema(java.lang.String originalSchema)

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type